org.springframework.data.relational.core.dialect

## Interface Dialect

All Known Implementing Classes:
  AbstractDialect, AnsiDialect, Db2Dialect, H2Dialect, HsqlDbDialect, MySqlDialect, OracleDialect, PostgresDialect, SqlServerDialect

    public interface Dialect

Represents a dialect that is implemented by a particular database. Please note that not all features are supported by all vendors. Dialects typically express this with feature flags. Methods for unsupported functionality may throw `UnsupportedOperationException`.

Since:
  1.1
Author:
  Mark Paluch, Jens Schauder, Myeonghyeon Lee

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default ArrayColumns` `getArraySupport()` Returns the array support object that describes how array-typed columns are supported by this dialect.
`default IdentifierProcessing` `getIdentifierProcessing()` Returns the `IdentifierProcessing` used for processing `SqlIdentifier` when converting them to SQL snippets or parameter names.
`default IdGeneration` `getIdGeneration()`
`default Escaper` `getLikeEscaper()` Returns the `Escaper` used for `LIKE` value escaping.
`SelectRenderContext` `getSelectContext()` Obtain the `SelectRenderContext`.
`LimitClause` `limit()` Return the `LimitClause` used by this dialect.
`LockClause` `lock()` Return the `LockClause` used by this dialect.

### Method Detail

#### limit

    LimitClause limit()

Return the `LimitClause` used by this dialect.

Returns:
  the `LimitClause` used by this dialect.

#### lock

    LockClause lock()

Return the `LockClause` used by this dialect.

Returns:
  the `LockClause` used by this dialect.

#### getArraySupport

    default ArrayColumns getArraySupport()

Returns the array support object that describes how array-typed columns are supported by this dialect.

Returns:
  the array support object that describes how array-typed columns are supported by this dialect.

#### getSelectContext

    SelectRenderContext getSelectContext()

Obtain the `SelectRenderContext`.

Returns:
  the `SelectRenderContext`.

#### getIdentifierProcessing

    default IdentifierProcessing getIdentifierProcessing()

Returns the `IdentifierProcessing` used for processing `SqlIdentifier` when converting them to SQL snippets or parameter names.

Returns:
  the `IdentifierProcessing`. Guaranteed to be not null.
Since:
  2.0

#### getLikeEscaper

    default Escaper getLikeEscaper()

Returns the `Escaper` used for `LIKE` value escaping.

Returns:
  the `Escaper` used for `LIKE` value escaping.
Since:
  2.0

#### getIdGeneration

    default IdGeneration getIdGeneration()